Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227109 - Review Request: pmd-3.6-1jpp - Scans Java source code and looks for potential problems
Summary: Review Request: pmd-3.6-1jpp - Scans Java source code and looks for potential...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 227068
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:55 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-20 14:57:58 UTC
dbhole: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:55:15 UTC
Spec URL: http://people.redhat.com/rafaels/specs/pmd-3.6-1jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/pmd-3.6-1jpp.src.rpm
Description: PMD scans Java source code and looks for potential
problems like:
+ Unused local variables
+ Empty catch blocks
+ Unused parameters
+ Empty 'if' statements
+ Duplicate import statements
+ Unused private methods
+ Classes which could be Singletons
+ Short/long variable and method names
PMD has plugins for JDeveloper, JEdit, JBuilder,
NetBeans/Sun ONE Studio, IntelliJ IDEA, TextPad,
Maven, Ant, Eclipse, Gel, and Emacs.

Documentation for pmd.

Javadoc for pmd.

Comment 1 Jeff Johnston 2007-02-16 22:19:07 UTC
All problems below taken care of except binary build which is
blocked due to jaxen requirement.

http://www.vermillionskye.com/downloads/pmd-3.6-1jpp.1.src.rpm
http://www.vermillionskye.com/downloads/pmd.spec

MUST:
X - remove defines at top
  - fill in Name, Version, and Release fields

Fixed.

X - release should be of form Xjpp.Y%{?dist}

Fixed. 

X - instructions for source tar are incomplete

Fixed.

X - checking out source from CVS as specified and
    tarring does not result in same md5sum

Fixed.  Source replaced.

X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Fixed. 

X Vendor tag should not be used

Fixed.

X Distribution tag should not be used

Fixed.

X package successfully compiles and builds on at least x86
  - waiting on jaxen

X make sure lines are <= 80 characters

Fixed. 

X run rpmlint on the src RPMs
W: pmd non-standard-group Development/Testing
E: pmd no-cleaning-of-buildroot %install
W: pmd mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 30)

Fixed.

Comment 2 Andrew Overholt 2007-03-13 15:26:40 UTC
Small remaining issues:

. Get rid of the double hash marks - just use single ones
. Get rid of the cvs login - it's unnecessary

I can't duplicate the md5sum of the generated source tarball but a recursive
diff on the expanded contents shows no differences.

I've added the blocker on jaxen.  Everything else is fine.  Thanks.

Comment 4 Andrew Overholt 2007-03-13 20:37:15 UTC
Approved!

Thanks, Jeff.

Comment 5 Matt Wringe 2007-03-13 21:06:53 UTC
New Package CVS Request
=======================
Package Name: pmd
Short Description: Scans Java source code and looks for potential problems
Owners: mwringe@redhat.com
Branches: devel

Comment 6 Deepak Bhole 2007-03-14 21:37:54 UTC
This package does not build in mock:

http://people.redhat.com/dbhole/fedora/pmd/build.log

Comment 7 Deepak Bhole 2007-03-15 14:00:28 UTC
Fixed a BR. New spec and srpm:

http://people.redhat.com/dbhole/fedora/pmd/


Note You need to log in before you can comment on or make changes to this bug.